<?php require_once('../../Connections/cn.php'); ?>
<?php

$sede=$_GET['sede'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

// Selecciono la Base de Datos. 

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(745,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1);

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');

$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-10);
$pdf->ezText('<b>'."                             UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE".'</b>',14,array('justification'=>'left'));
//$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode('<b>'."    RELACIÓN DE PAGOS POR CONFORMAR".'</b>'),16,array('justification'=>'center'));

$pdf->ezText('<b>'."            AL: ".'</b>'.date("d/m/Y"),16,array('justification'=>'center'));
$pdf->ezsetdy(-10);
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4,4,3.5,3);
$pdf->addObject($all,'all'); 
$cuadrito=utf8_decode('');
// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'Nro.',
			  'comprobante'=>'Comprobante', 
			  'fecha'=>'Fecha',
			  'monto'=>'Monto (Bs.)', 
			  'concepto'=>'Concepto', 
              'participante'=>'Participante',
			  'sede'=>'    Sede',
			  'status'=>'Status'); 
$smc = 0; 
// Convierte la Nota a Letras.
// $nota = new numerosALetras;
mysql_select_db($database_cn, $cn);

$query1 = "Select
nro_comprobante,
fecha_pago,
monto,
concepto_pago,
nombre_alumno,
nombre_sede
From
pagos where conformado='N'";

if($sede!='0'){
   $query1=$query1." and sede='$sede'";
}
$query1=$query1." order by fecha_pago";


	// Ejecuta el Query.
	$result1 = mysql_query ($query1) or die (mysql_error()); 
	//$row1 = mysql_fetch_row($result1);
	$saldo=0;
	while ($row1 = mysql_fetch_row($result1))
	{
	    $nro      = $smc;
		$comprobante      = $row1[0];    // nota 
	    $fecha      = $row1[1];    // nota  
	    $monto    = $row1[2];
		$concepto = $row1[3];    // nota
	    $participante = $row1[4];    // nota
	    $sede    = $row1[5];    // nota
		
	    
        $smc = $smc + 1; 
        // Aqui se agregan las variables formateadas al array 
        $data[] = array('nro'=>$smc.'  ',
		  			'comprobante'=>$comprobante,
	                'fecha'=>join ("-",(array_reverse(split("-",$fecha)))), 
                    'monto'=>number_format($monto,2,",",".").'  ',
					'concepto'=>utf8_decode($concepto), 
					'participante'=>utf8_decode($participante), 
					'sede'=>utf8_decode($sede),
					'status'=>$cuadrito);
          	}  
					
$pdf->ezTable($data,$cols,'',array('width'=>'700','fontSize'=>9, 
'cols'=>array('nro'=>array('justification'=>'right')
			 ,'comprobante'=>array('justification'=>'center') 
			 ,'fecha'=>array('justification'=>'center') 
             ,'monto'=>array('justification'=>'right') 
             ,'concepto'=>array('justification'=>'left')
			 ,'participante'=>array('justification'=>'left')
			 ,'sede'=>array('justification'=>'left') 
             ,'status'=>array('justification'=>'center')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{
    // Facilitador(a).
    $pdf->Rectangle(50,25,700,40);
    $pdf->addText(55,55,10,'ENTREGADO POR:');
	$pdf->addText(405,55,10,utf8_decode('RECIBIDO EN ADMINISTRACIÓN POR'));
	$pdf->addText(600,55,10,'FECHA');
	$pdf->line(400,65,400,25); 
}
?> 